[Android Studio] 取消引用库打包出现异常-- provided dependencies can only be jars
[Android Studio] 取消引用库打包出现异常-- provided dependencies can only be jars
卖女孩的小火柴 发表于1年前
[Android Studio] 取消引用库打包出现异常-- provided dependencies can only be jars
  • 发表于 1年前
  • 阅读 29
  • 收藏 0
  • 点赞 0
  • 评论 0

新睿云服务器60天免费使用,快来体验!>>>   

Warning: Project App: provided dependencies can only be jars. com.android.support:appcompat-v7:22.2.0 is an Android Library
Warning: Project App: provided dependencies can only be jars. com.android.support:support-v4:22.2.0 is an Android Library.

以上是AndroidStudio报的错,


我的build.gradle

apply plugin: 'com.android.library'

android {
    compileSdkVersion 22
    buildToolsVersion "23.0.0 rc2"

    defaultConfig {
        minSdkVersion 14
        targetSdkVersion 22
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    provided 'com.android.support:appcompat-v7:22.2.0'
    provided 'com.android.support:support-v4:22.2.0'
}

解决方案:

1.打开项目设置



2.修改gradle版本



3.完成重新编译一下,祝你成功!



  • 打赏
  • 点赞
  • 收藏
  • 分享
共有 人打赏支持
卖女孩的小火柴
粉丝 3
博文 25
码字总数 124
×
卖女孩的小火柴
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: